#!/bin/bash

NUMTESTS=`wc -l testvals.txt | awk '{print($1)}'`
for student in *; do
    if test -d $student; then
        NUMPASSED=0
    	echo $student
    	echo $student >> res.txt
    	cd $student
    	mkdir sumeven
    	cp *.java sumeven
    	javac sumeven/*
        if [ $? -ne 0 ]; then
            echo Program did not compile >>../res.txt
        else
    	    for i in `seq 1 $NUMTESTS`; do
                IN=`awk "NR==$i {print(\\$1)}" ../testvals.txt`
    		EXP=`sed -n ${i}p ../testvals.txt | cut -d ' ' -f2-`
    		ACT=`echo $IN | java sumeven.SumEven | cut -d ' ' -f4-`
    		if [[ $EXP == $ACT ]]; then
    			#echo Passed test $IN >> ../res.txt
                    NUMPASSED=$(($NUMPASSED + 1))
    		else
    		    echo Failed for input $IN : expected $EXP but got $ACT >> ../res.txt
    		fi
    	    done
            if [[ $NUMPASSED == $NUMTESTS ]]; then
                echo Passed all tests >> ../res.txt
            else
                echo Passed $NUMPASSED/$NUMTESTS tests >> ../res.txt
            fi
        fi
    	rm -r sumeven
    	cd ..
        echo ================================= >> res.txt
    fi
done
